{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "$insert prod_spec_equ\r\n$insert quote_spec_equ\r\ndeclare subroutine set_list_box_data\r\ndeclare function center_window\r\n\r\nif index( CreateParam, 'CENTER', 1 ) then\r\n    void = center_window( @window )\r\nend else\r\n    Void = set_property( @window, 'VISIBLE', 1 )\r\nend\r\n\r\nPSNId = field( CreateParam, char(245), 1 )\r\nPSNRec = xlate( 'PROD_SPEC', PSNId, '', 'X' )\r\nSubstrateInfo = PSNRec<prod_spec_spec_substrate$>\r\nValsToLoad    = ''\r\nValsToLoad<1> = SubstrateInfo<1,QSSubOxide$>\r\nValsToLoad<2> = SubstrateInfo<1,QSSubOxideAngstroms$>\r\nValsToLoad<3> = SubstrateInfo<1,QSSubPreClean$>\r\nValsToLoad<4> = SubstrateInfo<1,QSSubPostClean$>\r\nValsToLoad<5> = SubstrateInfo<1,QSSubPreAkrionRecipe$>\r\nValsToLoad<6> = SubstrateInfo<1,QSSubPostAkrionRecipe$>\r\n\r\nControls = 'OXIDE_STRIP/OXIDE_ANG/PRE_CLEAN/POST_CLEAN/AKRION_PRECLEAN_RECIPE/AKRION_POSTCLEAN_RECIPE'\r\n\r\nswap '/' with @rm:@window:'.' in Controls\r\nControls = @window:'.':Controls\r\nconvert @fm to @rm in ValsToLoad\r\nvoid = set_property( Controls, 'INVALUE', ValsToLoad )\r\nRETURN 1"
        }
    }
}